package cmm.service;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;

import cmm.util.CmmVO;

/**  
 * @Class Name : CmmAmsAssetsVO.java
 * @author ecplaza 
 * @since 2018-05-11O
 * @version 1.0
 */

@SuppressWarnings("serial")
public class CmmAmsAssetsVO extends CmmVO {
		
	private String id = "";
	private String interfaceId = "";
	private String assetClass = "";
	private String firstCategory = "";
	private String secondCategory = "";
	private String firstCategoryNm = "";
	private String secondCategoryNm = "";
	private String mainImg = "";
	private String copyright  = "";
	private String title = "";
	private String summary = "";
	private String volume = "";
	private String amount = "";
	private String trsAge = "";
	private String age = "";
	private String chronologicalStart = "";
	private String chronologicalEnd = "";
	private String theme = "";
	private String series = "";
	private String sojangCouncil = "";
	private String sojangLocation = "";
	private String remarksDesc = "";
	private Date createdAt = null;
	private Date updatedAt = null;
	private Date deletedAt = null;
	private String useAt = "";
	
	
	private String assetId = "";
	private String tags = "";
	private String mcnt = "";
	private String sojangCouncilNm = "";
	
	private String imgCnt = "";
	private String vedioCnt = "";
	private String audioCnt = "";
	private String docCnt = "";
	private String linkCnt = "";
	
	
	List<CmmCmsVO> sidoList = null;
	List<String> contentIdList;
	private String [] codeIdList;
	private String [] assetTypeList;
	private String [] userGroupList;
	private String [] ageList;
	private String [] assetClassList;
	private String [] councilList;
	private String [] assetClassArray;
	
	
	
	
	public String getId() {
		return id;
	}

	public void setId(String id) {
		this.id = id;
	}

	public String getInterfaceId() {
		return interfaceId;
	}

	public void setInterfaceId(String interfaceId) {
		this.interfaceId = interfaceId;
	}

	public String getAssetClass() {
		return assetClass;
	}

	public void setAssetClass(String assetClass) {
		this.assetClass = assetClass;
	}

	public String getFirstCategory() {
		return firstCategory;
	}

	public void setFirstCategory(String firstCategory) {
		this.firstCategory = firstCategory;
	}

	public String getSecondCategory() {
		return secondCategory;
	}

	public void setSecondCategory(String secondCategory) {
		this.secondCategory = secondCategory;
	}

	public String getFirstCategoryNm() {
		return firstCategoryNm;
	}

	public void setFirstCategoryNm(String firstCategoryNm) {
		this.firstCategoryNm = firstCategoryNm;
	}

	public String getSecondCategoryNm() {
		return secondCategoryNm;
	}

	public void setSecondCategoryNm(String secondCategoryNm) {
		this.secondCategoryNm = secondCategoryNm;
	}

	public String getMainImg() {
		return mainImg;
	}

	public void setMainImg(String mainImg) {
		this.mainImg = mainImg;
	}

	public String getCopyright() {
		return copyright;
	}

	public void setCopyright(String copyright) {
		this.copyright = copyright;
	}

	public String getTitle() {
		return title;
	}

	public void setTitle(String title) {
		this.title = title;
	}

	public String getSummary() {
		return summary;
	}

	public void setSummary(String summary) {
		this.summary = summary;
	}

	public String getVolume() {
		return volume;
	}

	public void setVolume(String volume) {
		this.volume = volume;
	}

	public String getAmount() {
		return amount;
	}

	public void setAmount(String amount) {
		this.amount = amount;
	}

	public String getTrsAge() {
		return trsAge;
	}

	public void setTrsAge(String trsAge) {
		this.trsAge = trsAge;
	}

	public String getAge() {
		return age;
	}

	public void setAge(String age) {
		this.age = age;
	}

	public String getChronologicalStart() {
		return chronologicalStart;
	}

	public void setChronologicalStart(String chronologicalStart) {
		this.chronologicalStart = chronologicalStart;
	}

	public String getChronologicalEnd() {
		return chronologicalEnd;
	}

	public void setChronologicalEnd(String chronologicalEnd) {
		this.chronologicalEnd = chronologicalEnd;
	}

	public String getTheme() {
		return theme;
	}

	public void setTheme(String theme) {
		this.theme = theme;
	}

	public String getSeries() {
		return series;
	}

	public void setSeries(String series) {
		this.series = series;
	}

	public String getSojangCouncil() {
		return sojangCouncil;
	}

	public void setSojangCouncil(String sojangCouncil) {
		this.sojangCouncil = sojangCouncil;
	}

	public String getSojangLocation() {
		return sojangLocation;
	}

	public void setSojangLocation(String sojangLocation) {
		this.sojangLocation = sojangLocation;
	}

	public String getRemarksDesc() {
		return remarksDesc;
	}

	public void setRemarksDesc(String remarksDesc) {
		this.remarksDesc = remarksDesc;
	}

	public Date getCreatedAt() {
		return createdAt;
	}

	public void setCreatedAt(Date createdAt) {
		this.createdAt = createdAt;
	}

	public Date getUpdatedAt() {
		return updatedAt;
	}

	public void setUpdatedAt(Date updatedAt) {
		this.updatedAt = updatedAt;
	}

	public Date getDeletedAt() {
		return deletedAt;
	}

	public void setDeletedAt(Date deletedAt) {
		this.deletedAt = deletedAt;
	}

	public String getUseAt() {
		return useAt;
	}

	public void setUseAt(String useAt) {
		this.useAt = useAt;
	}
	

	public String getAssetId() {
		return assetId;
	}

	public void setAssetId(String assetId) {
		this.assetId = assetId;
	}

	public String getTags() {
		return tags;
	}

	public void setTags(String tags) {
		this.tags = tags;
	}

	

	public String getMcnt() {
		return mcnt;
	}

	public void setMcnt(String mcnt) {
		this.mcnt = mcnt;
	}

	public String getSojangCouncilNm() {
		return sojangCouncilNm;
	}

	public void setSojangCouncilNm(String sojangCouncilNm) {
		this.sojangCouncilNm = sojangCouncilNm;
	}

	public String getImgCnt() {
		return imgCnt;
	}

	public void setImgCnt(String imgCnt) {
		this.imgCnt = imgCnt;
	}

	public String getVedioCnt() {
		return vedioCnt;
	}

	public void setVedioCnt(String vedioCnt) {
		this.vedioCnt = vedioCnt;
	}

	public String getAudioCnt() {
		return audioCnt;
	}

	public void setAudioCnt(String audioCnt) {
		this.audioCnt = audioCnt;
	}

	public String getDocCnt() {
		return docCnt;
	}

	public void setDocCnt(String docCnt) {
		this.docCnt = docCnt;
	}

	public String getLinkCnt() {
		return linkCnt;
	}

	public void setLinkCnt(String linkCnt) {
		this.linkCnt = linkCnt;
	}

	public List<CmmCmsVO> getSidoList() {
		List<CmmCmsVO> ret = null;
		if(this.sidoList != null){
			ret = new ArrayList<CmmCmsVO>(); 
			ret = this.sidoList;
		}
		return ret;
	}
	
	public void setSidoList(ArrayList<CmmCmsVO> cmmCmsSidoList) { 
		this.sidoList = new ArrayList<CmmCmsVO> (cmmCmsSidoList.size()); 
		for(int i=0; i<cmmCmsSidoList.size(); ++i) {
			this.sidoList.add(i, cmmCmsSidoList.get(i)); 
		}
	}	
	
	public String[] getAssetTypeList() {
		String[] ret = null;
		if(this.assetTypeList != null){
			ret = new String[assetTypeList.length]; 
			ret = this.assetTypeList;
		}
		return ret;
	}
	
	public void setAssetTypeList(String[] assetTypeList) { 
		this.assetTypeList = new String[assetTypeList.length]; 
		for(int i=0; i<assetTypeList.length; ++i) {
			this.assetTypeList[i] = assetTypeList[i]; 
		}
	}	
	
	public String[] getUserGroupList() {
		String[] ret = null;
		if(this.userGroupList != null){
			ret = new String[userGroupList.length]; 
			ret = this.userGroupList;
		}
		return ret;
	}
	
	public void setUserGroupList(String[] userGroupList) { 
		this.userGroupList = new String[userGroupList.length]; 
		for(int i=0; i<userGroupList.length; ++i) {
			this.userGroupList[i] = userGroupList[i]; 
		}
	}		
	
	
	public String[] getAgeList() {
		String[] ret = null;
		if(this.ageList != null){
			ret = new String[ageList.length]; 
			ret = this.ageList;
		}
		return ret;
	}
	
	public void setAgeList(String[] ageList) { 
		this.ageList = new String[ageList.length]; 
		for(int i=0; i<ageList.length; ++i) {
			this.ageList[i] = ageList[i]; 
		}
	}	
	
	public String[] getAssetClassList() {
		String[] ret = null;
		if(this.assetClassList != null){
			ret = new String[assetClassList.length]; 
			ret = this.assetClassList;
		}
		return ret;
	}
	
	public void setAssetClassList(String[] assetClassList) { 
		this.assetClassList = new String[assetClassList.length]; 
		for(int i=0; i<assetClassList.length; ++i) {
			this.assetClassList[i] = assetClassList[i]; 
		}
	}

	public String[] getCouncilList() {
		String[] ret = null;
		if(this.councilList != null){
			ret = new String[councilList.length]; 
			ret = this.councilList;
		}
		return ret;
	}
	
	public void setCouncilList(String[] councilList) { 
		this.councilList = new String[councilList.length]; 
		for(int i=0; i<councilList.length; ++i) {
			this.councilList[i] = councilList[i]; 
		}
	}
	
	public List<String> getContentIdList() {
		List<String> ret = null;
		if(this.contentIdList != null){
			ret = new ArrayList<String>(); 
			ret = this.contentIdList;
		}
		return ret;
	}
	
	public void setContentIdList(List<String> contentIdList) { 
		this.contentIdList = new ArrayList<String> (contentIdList.size()); 
		for(int i=0; i<contentIdList.size(); ++i) {
			this.contentIdList.add(i, contentIdList.get(i)); 
		}
	}
	
	public String[] getAssetClassArray() {
		String[] ret = null;
		if(this.assetClassArray != null){
			ret = new String[assetClassArray.length]; 
			ret = this.assetClassArray;
		}
		return ret;
	}
	
	public void setAssetClassArray(String[] assetClassArray) { 
		this.assetClassArray = new String[assetClassArray.length]; 
		for(int i=0; i<assetClassArray.length; ++i) {
			this.assetClassArray[i] = assetClassArray[i]; 
		}
	}
	
	public String[] getCodeIdList() {
		String[] ret = null;
		if(this.codeIdList != null){
			ret = new String[codeIdList.length]; 
			ret = this.codeIdList;
		}
		return ret;
	}
	
	public void setCodeIdList(String[] codeIdList) { 
		this.codeIdList = new String[codeIdList.length]; 
		for(int i=0; i<codeIdList.length; ++i) {
			this.codeIdList[i] = codeIdList[i]; 
		}
	}
	
}
